#
# spec file for package python-livereload
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-livereload
Version:        2.7.1
Release:        1.1
Summary:        Livereload server in python
License:        BSD-2-Clause
URL:            https://livereload.readthedocs.io/en/latest/
Source:         https://github.com/lepture/python-livereload/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module tornado}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-tornado
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
%python_subpackages

%description
Reload webpages on changes, without hitting refresh in your browser.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%python_clone -a %{buildroot}%{_bindir}/livereload

%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# https://github.com/lepture/python-livereload/issues/200
%pytest -k 'not test_watch_multiple_dirs'

%post
%python_install_alternative livereload

%postun
%python_uninstall_alternative livereload

%files %{python_files}
%doc README.md
%license LICENSE
%python_alternative %{_bindir}/livereload
%{python_sitelib}/livereload
%{python_sitelib}/livereload-%{version}.dist-info

%changelog
* Thu Apr 10 2025 Steve Kowalik <steven.kowalik@suse.com>
- Update to 2.7.1:
  * Wait for the IOLoop to be stopped before attempting to close it
  * Release since we have many bug fixes.
- Update Source URL.
- Drop patch python-livereload-no-python2.patch, included upstream.
- Drop {Build,}Requires on six.
* Thu Jul  6 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Mon Mar 13 2023 pgajdos@suse.com
- do not require python-six
- added patches
  fix https://github.com/lepture/python-livereload/commit/5165fedf96b161bf146fa31893c2e99b78570977
  + python-livereload-no-python2.patch
* Mon Feb 27 2023 Matej Cepl <mcepl@suse.com>
- Don't use fdupes -s, it hurts.
* Mon Nov  8 2021 Dirk Müller <dmueller@suse.com>
- add six dependency for tests
* Fri Sep 17 2021 Steve Kowalik <steven.kowalik@suse.com>
- Use pytest (and not nose) for the testsuite, actually running it.
* Wed May 19 2021 Matthias Mailänder <mailaender@opensuse.org>
- update to version 2.6.3
* Tue Jul  3 2018 ecsos@opensuse.org
- initial version 2.5.2
